//
//  ModalView.swift
//  Modal
//
//  Created by Mark Meretzky on 12/11/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class ModalView: UILabel {
	let modalViewController: ModalViewController;

	init(modalViewController: ModalViewController) {
		// Initialization code
		self.modalViewController = modalViewController;
		super.init(frame: CGRectZero);
		backgroundColor = UIColor.orangeColor();
		textAlignment = NSTextAlignment.Center;
		text = "ModalView";
		userInteractionEnabled = true; //Make this label touch-sensitive.
	}

	//Never called.
	required init(coder aDecoder: NSCoder) {
		let appDelegate: AppDelegate = UIApplication.sharedApplication().delegate! as AppDelegate;
		let mainViewController: MainViewController = appDelegate.window!.rootViewController! as MainViewController;
		modalViewController = mainViewController.presentingViewController! as ModalViewController;
		super.init(coder: aDecoder);
	}

	override func touchesBegan(touches: NSSet, withEvent event: UIEvent) {
		modalViewController.slideDownModal();
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
